html {
    /* this defines what 1 rem is */
    font-size: 62.5%; /* 1rem = 10px; 10/16px = 62.5% */

}

body {
    overflow: hidden;
    font-family: 'Old Standard TT', serif;
    background-color: rgb(0, 0, 0);
}

input {
    display: none;
}

.open {
    background-color: rgb(245, 245, 245);
    width: 24px;
    height: 4px;
    display: block;
    border-radius: 2px;
    cursor: pointer;
    position: relative;
    top: 8px;
}

.open:before {
    content: "";
    background-color: rgb(245, 245, 245);
    width: 24px;
    height: 4px;
    display: block;
    border-radius: 2px;
    position: relative;
    top: -8px;
    transform: rotate(0deg);
    transition: all 0.3s ease;
}

.open:after {
    content: "";
    background-color: rgb(245, 245, 245);
    width: 24px;
    height: 4px;
    display: block;
    border-radius: 2px;
    position: relative;
    top: 4px;
    transform: rotate(0deg);
    transition: all 0.3s ease;
}

.menuOpen {
    height: 20px;
    display: block;
    padding: 15px;
    cursor: pointer;
    float: right;
}

.menuOpen:hover .open:before {
    top: -9px;
}

.menuOpen:hover .open:after {
    top: 5px;
}

.menu {
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.9);
}

.menu label {
    width: 30px;
    height: 30px;
    position: absolute;
    right: 20px;
    top: 20px;
    background-size: 100%;
    cursor: pointer;
}

.menu .menuContent {
    position: relative;
    top: 50%;
    font-size: 54px;
    text-align: center;
    padding-bottom: 20px;
    margin-top: -170px;
}

.menu ul {
    list-style: none;
    padding: 0;
    margin: 0 auto;
}

.menu ul li a {
    display: block;
    color: white;
    text-decoration: none;
    transition: color 0.2s;
    text-transform: uppercase;
    padding: 10px 0;
}

.menu ul li a:hover {
    color: #000;
}

.menu ul li:hover {
    background: #fff;
}

.menuEffects {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s, visibility 0.5s;
}

.menuEffects ul {
    transform: translateY(0%);
    transition: all 0.5s;
}

#menuToggle:checked ~ .menuEffects {
    opacity: 1;
    visibility: visible;
    transition: opacity 0.5s;
}

#menuToggle:checked ~ .menuEffects ul {
    opacity: 1;
}

#menuToggle:checked ~ .menuOpen .open {
    background-color: transparent;
}

#menuToggle:checked ~ .menuOpen .open:before {
    content: "";
    background-color: white;
    transform: rotate(45deg);
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
}

#menuToggle:checked ~ .menuOpen .open:after {
    content: "";
    background-color: white;
    transform: rotate(-45deg);
    position: relative;
    top: 0;
    right: 0;
    z-index: 1;
}

#menuToggle:not(:checked) ~ .menuEffects ul {
    transform: translateY(-30%);
}

/* Bg Video */
.logo img {
    display: block;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 110%;
    z-index: -1;
}

/*.video {*/
/*    background: none;*/
/*    height: 100%;*/
/*}*/

/*.bg-video__content {*/
/*    position: fixed;*/
/*    top: 50%;*/
/*    left: 50%;*/
/*    transform: translate(-50%, -50%);*/
/*    min-width: 100%;*/
/*    min-height: 100%;*/
/*    width: auto;*/
/*    height: auto;*/
/*    z-index: -2;*/
/*}*/

@media only screen and (max-width: 1053px) {
    body {
        background-color: #000 !important;
    }
    .logo img {
        display: block;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 110%;
        z-index: -1;
    }
    .bg-video__content {
        display: none;
    }
}

.hiddenButton {
    position: fixed;
    top: 66%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.hiddenButton a{
    text-decoration: none;
    color: #fff;
    font-size: 20px;
}


.container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.center {
    width: 180px;
    height: 60px;
    position: absolute;
    top: 0px;
}

.btn {
    width: 180px;
    height: 60px;
    cursor: pointer;
    background: transparent;
    border: 1px solid #91C9FF;
    outline: none;
    transition: 1s ease-in-out;
}

svg {
    position: absolute;
    left: 0;
    top: 0;
    fill: none;
    stroke: #fff;
    stroke-dasharray: 150 480;
    stroke-dashoffset: 150;
    transition: 1s ease-in-out;
}

.btn:hover {
    transition: 1s ease-in-out;
    background: #fff;
}

.btn:hover svg {
    stroke-dashoffset: -480;
}

.btn span {
    color: #fff;
    font-size: 2.2rem;
    font-weight: 400;
}

.btn:hover span {
    color: #000;
    font-weight: 400;
}




/* Modal Form */
label.form-label {
    font-size: 2.5rem;
}
.form-control {
    font-size: 2rem;
}

.modal-title {
    font-size: 2.5rem;
}
#SubmitButton {
    font-size: 2.5rem;
    color: #fff;
    background-color: #000;

}

#SubmitButton:active {
    background: #000;
    box-shadow: 0 2px #000;
    transform: translateY(4px);
}

#CancelButton {
    font-size: 2.5rem;
    color: #000;
}

#CancelButton:hover {
    background: red;
    color: #fff;
}

#CancelButton:active {
    background: red;
    box-shadow: 0 2px #000;
    transform: translateY(4px);
}


/* Safari (10.1+) */
@media not all and (min-resolution:.001dpcm) {
    @supports (-webkit-appearance:none) {
        html {
            /* this defines what 1 rem is */
            font-size: 62.5%; /* 1rem = 10px; 10/16px = 62.5% */
        }
        body {
            overflow: hidden;
            background-color: #000;
            font-family: 'Old Standard TT', serif;
        }
        input {
            display: none;
        }
        #DareAngelTextImage {
            position: fixed;
            top: 45%;
            left: 50%;
            transform: translate(-50% , -50%);
            z-index: -1;
            width: 110%;
        }
        .open {
            background-color: rgb(245, 245, 245);
            width: 24px;
            height: 4px;
            display: block;
            border-radius: 2px;
            cursor: pointer;
            position: relative;
            top: 8px;
        }
        .open:before {
            content: "";
            background-color: rgb(245, 245, 245);
            width: 24px;
            height: 4px;
            display: block;
            border-radius: 2px;
            position: relative;
            top: -8px;
            transform: rotate(0deg);
            transition: all 0.3s ease;
        }
        .open:after {
            content: "";
            background-color: rgb(245, 245, 245);
            width: 24px;
            height: 4px;
            display: block;
            border-radius: 2px;
            position: relative;
            top: 4px;
            transform: rotate(0deg);
            transition: all 0.3s ease;
        }
        .menuOpen {
            height: 20px;
            display: block;
            padding: 15px;
            cursor: pointer;
            float: right;
        }
        .menuOpen:hover .open:before {
            top: -9px;
        }
        .menuOpen:hover .open:after {
            top: 5px;
        }
        .menu {
            position: fixed;
            width: 100vw;
            height: 100vh;
            top: 0;
            left: 0;
            background: rgba(0, 0, 0, 0.9);
        }
        .menu label {
            width: 30px;
            height: 30px;
            position: absolute;
            right: 20px;
            top: 20px;
            background-size: 100%;
            cursor: pointer;
        }
        .menu .menuContent {
            position: relative;
            top: 50%;
            font-size: 54px;
            text-align: center;
            padding-bottom: 20px;
            margin-top: -170px;
        }
        .menu ul {
            list-style: none;
            padding: 0;
            margin: 0 auto;
        }
        .menu ul li a {
            display: block;
            color: white;
            text-decoration: none;
            transition: color 0.2s;
            text-transform: uppercase;
            padding: 10px 0;
        }
        .menu ul li a:hover {
            color: #000;
        }
        .menu ul li:hover {
            background: #fff;
        }
        .menuEffects {
            opacity: 0;
            visibility: hidden;
            transition: opacity 0.5s, visibility 0.5s;
        }
        .menuEffects ul {
            transform: translateY(0%);
            transition: all 0.5s;
        }
        #menuToggle:checked ~ .menuEffects {
            opacity: 1;
            visibility: visible;
            transition: opacity 0.5s;
        }
        #menuToggle:checked ~ .menuEffects ul {
            opacity: 1;
        }
        #menuToggle:checked ~ .menuOpen .open {
            background-color: transparent;
        }
        #menuToggle:checked ~ .menuOpen .open:before {
            content: "";
            background-color: white;
            transform: rotate(45deg);
            position: absolute;
            top: 0;
            right: 0;
            z-index: 1;
        }
        #menuToggle:checked ~ .menuOpen .open:after {
            content: "";
            background-color: white;
            transform: rotate(-45deg);
            position: relative;
            top: 0;
            right: 0;
            z-index: 1;
        }
        #menuToggle:not(:checked) ~ .menuEffects ul {
            transform: translateY(-30%);
        }
        .hiddenButton {
            position: fixed;
            top: 66%;
            left: 50%;
            transform: translate(-50%, -50%);
            z-index: -1;
        }

        .hiddenButton a{
            text-decoration: none;
            color: #fff;
            font-size: 20px;
        }


        .container {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .center {
            width: 180px;
            height: 60px;
            position: absolute;
            top: 0px;
        }

        .btn {
            width: 180px;
            height: 60px;
            cursor: pointer;
            background: transparent;
            border: 1px solid #91C9FF;
            outline: none;
            transition: 1s ease-in-out;
        }

        svg {
            position: absolute;
            left: 0;
            top: 0;
            fill: none;
            stroke: #fff;
            stroke-dasharray: 150 480;
            stroke-dashoffset: 150;
            transition: 1s ease-in-out;
        }

        .btn:hover {
            transition: 1s ease-in-out;
            background: #fff;
        }

        .btn:hover svg {
            stroke-dashoffset: -480;
        }

        .btn span {
            color: #fff;
            font-size: 2.2rem;
            font-weight: 400;
        }

        .btn:hover span {
            color: #000;
            font-weight: 400;
        }




        /* Modal Form */
        label.form-label {
            font-size: 2.5rem;
        }
        .form-control {
            font-size: 2rem;
        }

        .modal-title {
            font-size: 2.5rem;
        }
        #SubmitButton {
            font-size: 2.5rem;
            color: #fff;
            background-color: #000;

        }

        #SubmitButton:active {
            background: #000;
            box-shadow: 0 2px #000;
            transform: translateY(4px);
        }

        #CancelButton {
            font-size: 2.5rem;
            color: #000;
        }

        #CancelButton:hover {
            background: red;
            color: #fff;
        }

        #CancelButton:active {
            background: red;
            box-shadow: 0 2px #000;
            transform: translateY(4px);
        }


    }
}